#include "SPI_Driver.h"
#include "nRF24l01.h"
/********************************************************/              


void SPI_GPIO_Config(void)
{
		GPIO_InitTypeDef  GPIO_InitStructure;
    SPI_InitTypeDef SPI_InitStructure;     	
		// SCK --> PB4
		GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_4;
		GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;  
		GPIO_Init(GPIOB, &GPIO_InitStructure);
		// MOSI --> PF6
		GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_6;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;  
		GPIO_Init(GPIOF, &GPIO_InitStructure);
		// MISO --> PF7
		GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_7;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
		GPIO_Init(GPIOF, &GPIO_InitStructure);
		// CSN  --> PB3
		GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_3;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
		GPIO_Init(GPIOB, &GPIO_InitStructure);
		GPIOB->BSRR = GPIO_Pin_3;
	
	  NRF24L01_CE_L;
    NRF24L01_SPI_CS_H;  
	                           
    SPI_InitStructure.SPI_Direction =SPI_Direction_2Lines_FullDuplex;  //ȫ˫
    SPI_InitStructure.SPI_Mode =SPI_Mode_Master;                    //ģʽ
    SPI_InitStructure.SPI_DataSize =SPI_DataSize_8b;                 //һδ8λ
    SPI_InitStructure.SPI_CPOL =SPI_CPOL_Low;                       //еƽ͵ƽ
    SPI_InitStructure.SPI_CPHA =SPI_CPHA_1Edge;                     //һز
    SPI_InitStructure.SPI_NSS =SPI_NSS_Soft;                        //NSSΪģʽ
    SPI_InitStructure.SPI_BaudRatePrescaler =SPI_BaudRatePrescaler_8;
    SPI_InitStructure.SPI_FirstBit =SPI_FirstBit_MSB;      //ݴλǰ
    SPI_InitStructure.SPI_CRCPolynomial =7;                          //CRCУ鷽ʽ
    SPI_Init(SPI1,&SPI_InitStructure);                                 //ʼ
		
		SPI_Cmd(SPI1, ENABLE); //ʹSPI1
}


void SPI_delay(void)
{	
	/*
   uint8_t i=SPI_DELAY_COUNT; 
   while(i--) ;
	*/
	return;
}


uint8_t SPI_RW(uint8_t uchar)
{
	uint8_t retry=0;				 	
	while (SPI_I2S_GetFlagStatus(SPI1, SPI_I2S_FLAG_TXE) == RESET) //ָSPI־λ:ͻձ־λ
		{
		retry++;
		if(retry>200)return 0;
		}			  
		SPI_SendData8(SPI1, uchar); //ͨSPIxһ
		retry=0;

	while (SPI_I2S_GetFlagStatus(SPI2, SPI_I2S_FLAG_RXNE) == RESET)//ָSPI־λ:ܻǿձ־λ
		{
		retry++;
		if(retry>200)return 0;
		}	  						    
	return SPI_ReceiveData8(SPI1); //ͨSPIxյ					    
}

   
