#ifndef __SPI_Driver_H
#define __SPI_Driver_H


#include "stm32f0xx.h"
#include <stdbool.h>


// ------------- ΪҪƵĲ ------------------------
#define SPI_SCK_H     GPIOB->BSRR = GPIO_Pin_4
#define SPI_SCK_L     GPIOB->BRR  = GPIO_Pin_4  
#define SPI_MOSI_H    GPIOF->BSRR = GPIO_Pin_6
#define SPI_MOSI_L    GPIOF->BRR  = GPIO_Pin_6
#define SPI_MISO	  GPIO_ReadInputDataBit(GPIOF, GPIO_Pin_7)

//#define INT2          (!(GPIOB->IDR&GPIO_Pin_5))


void SPI_GPIO_Config(void);

#define SPI_DELAY_COUNT  1

// ------------  ΪI2CĻ ----------------------
#define FALSE 0
#define TRUE  1

void SPI_delay(void); 
uint8_t SPI_RW(uint8_t uchar);

#endif 



