/* Includes ------------------------------------------------------------------*/
#include "main.h"
#include "SPI_Driver.h"
#include "nRF24L01.h"

#define INT          (!(GPIOB->IDR&GPIO_Pin_10))  // --> PB10
int nRFInterrupt = 0;
#define RCV_BUF_SIZE 5   //ֽڴСΪ32ֽ
uint8_t DataBuffer[RCV_BUF_SIZE] = {1,2,3,4,5};   
uint8_t RegValueBuffer[RCV_BUF_SIZE] ={5,4,3,2,1};    //Ĵֵ
uint8_t status;   // nRF2401 status
void Delayms(uint32_t m)
{
  uint32_t i; 
  for(; m != 0; m--)	
       for (i=0; i<3000; i++);
}

int main(void)
{
 	//uint8_t PayLoadLength = 32;
	//int OperationDir = 1;	 // /ͱ־λ   0
	RCC_Config();
	EXTI0_Config();
	LED_GPIO_Configuration();   //LEDԵ˸
	nRF24L01_SPI_Init(); 	
	
	// ѭ
	while(1)
		{
			// 1. check the nRF24L01 interrupt
			if( nRFInterrupt || INT ) 
			{			
				nRFInterrupt = 0;	
				if(NRF24L01_RxPacket(RegValueBuffer) == 0)//һյϢ,ʾ.
				{
					GPIO_SetBits(GPIOB,GPIO_Pin_6);
					GPIO_SetBits(GPIOB,GPIO_Pin_7);
				}
				if(NRF24L01_TxPacket(DataBuffer) == STATUS_TX_DS)
				{
					GPIO_SetBits(GPIOB,GPIO_Pin_6);
					GPIO_SetBits(GPIOB,GPIO_Pin_7);
				}
			}		
	} 
}


void EXTI0_Config(void)
{
  EXTI_InitTypeDef   EXTI_InitStructure;
  GPIO_InitTypeDef   GPIO_InitStructure;
  NVIC_InitTypeDef   NVIC_InitStructure;

  /* Configure PA15 pin as input floating */
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_15;   // IRQ --> PA15
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
  GPIO_Init(GPIOA, &GPIO_InitStructure);

  /* Enable GPIOA clock */
  RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOA, ENABLE);
	
  /* Enable AFIO clock */
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_SYSCFG, ENABLE);
	
  /* Connect EXTI15 Line to PA15 pin */
  SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOA, EXTI_PinSource15);

  /* Configure EXTI15 line */
  EXTI_InitStructure.EXTI_Line = EXTI_Line15;
  EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;
  EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Falling;  
  EXTI_InitStructure.EXTI_LineCmd = ENABLE;
  EXTI_Init(&EXTI_InitStructure);

  /* Enable and set EXTI15 Interrupt to the lowest priority */
  NVIC_InitStructure.NVIC_IRQChannel = EXTI4_15_IRQn;
  NVIC_InitStructure.NVIC_IRQChannelPriority = 0;
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
  NVIC_Init(&NVIC_InitStructure);
}


void LED_GPIO_Configuration(void)
{
	GPIO_InitTypeDef  GPIO_InitStructure; 
  GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_6|GPIO_Pin_7;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
  GPIO_Init(GPIOB, &GPIO_InitStructure);
}

void RCC_Config(void)
{
  RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOB, ENABLE);
  RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOF, ENABLE);
}

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
